
Redmine - Defect #2185

Timelog Details returns data, Timelog Report does not

2008-11-14 03:49 - Peter Edstrom

Status: Closed Start date: 2008-11-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

When I look at Timelog details, I see records and details, but clicking "report" and choosing any grouping returns no data and returns

the line "Total: 0.00 hours". No errors in production.log

The site is renewalredmine.com if someone wants a login to see what it is doing.

production.log

Processing TimelogController#report (for 71.215.242.46 at 2008-11-14 02:45:39) [POST]

Session ID: f8b5f9f122adb9658580660dfcdf8653

Parameters: {"columns"=>"week", "project_id"=>"rms", "period"=>"all", "criterias"=>["category"], "from"=>"2007-11-06",

"action"=>"report", "to"=>"2008-11-13", "controller"=>"timelog", "period_type"=>"2"}

Rendering timelog/report

Completed in 0.06958 (14 reqs/sec) | Rendering: 0.01061 (15%) | DB: 0.00182 (2%) | 200 OK [

http://renewalredmine.com/projects/rms/timelog/report]

Ruby version              1.8.6 (i386-solaris2)

RubyGems version          1.1.1

Rails version             2.1.0

Active Record version     2.1.0

Action Pack version       2.1.0

Active Resource version   2.1.0

Action Mailer version     2.1.0

Active Support version    2.1.0

Application root          /users/home/edstrom/domains/renewalredmine.com/web/redmine/trunk

Environment               development

Database adapter          mysql

Database schema version   0

History

#1 - 2008-11-14 04:00 - Peter Edstrom

Just noticed that the report works if I log in as a non-administrator. Is there a specific permission I should disable for myself to make this report work?

#2 - 2008-11-20 20:42 - Jean-Philippe Lang

I can not reproduce with current trunk and have no clue on this problem. Time report works fine when logged in as administrator.

Could you try with log level set to debug and attach the log please ?

To set log level to debug: un-comment this line in config/environment.rb and restart the app:

config.log_level = :debug

#3 - 2009-03-07 14:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce
